org.jbpm.services.api.query.model

## Class QueryParam

- java.lang.Object
- - org.jbpm.services.api.query.model.QueryParam

- All Implemented Interfaces:
    Serializable

      public class QueryParam
      extends Object
      implements Serializable

  Basic data carrier to provide filtering capabilities on top of query definition.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QueryParam.Builder` Query Parameter Builder.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CENTURY`
    `static String` | `DAY`
    `static String` | `DAY_OF_WEEK`
    `static String` | `DECADE`
    `static String` | `HOUR`
    `static String` | `HUNDRETH`
    `static String` | `MILLENIUM`
    `static String` | `MILLISECOND`
    `static String` | `MINUTE`
    `static String` | `MONTH`
    `static String` | `QUARTER`
    `static String` | `SECOND`
    `static String` | `TENTH`
    `static String` | `WEEK`
    `static String` | `YEAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryParam(String column, String operator, List<?> value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryParam` | `all(List<?> values)`
    `static QueryParam` | `any(List<?> values)`
    `static QueryParam` | `average(String column)` Returns the "average" query parameter for given column.
    `static QueryParam` | `between(String column, Comparable<?> start, Comparable<?> end)` Returns the "between" query parameter for given column, start and end.
    `static QueryParam` | `count(String column)` Returns the "count" query parameter for given column.
    `static QueryParam` | `distinct(String column)` Returns the "distinct" query parameter for given column.
    `static QueryParam` | `equalsTo(String column, Comparable<?>... values)` Returns "equal" query parameter for given column and set of values.
    `static QueryParam` | `exclude(String collection)`
    `static QueryParam.Builder` | `getBuilder()` Returns the builder.
    `String` | `getColumn()` Returns the column.
    `Object` | `getObjectValue()`
    `String` | `getOperator()` Returns the operator.
    `List<?>` | `getValue()` Returns list of values.
    `static QueryParam` | `greaterOrEqualTo(String column, Comparable<?> value)` Returns the "greater than or equal" query parameter for given column and set of values.
    `static QueryParam` | `greaterThan(String column, Comparable<?> value)` Returns the "greater than" query parameter for given column and set of values.
    `static QueryParam[]` | `groupBy(String column)` Returns the "group by" query parameters for given column.
    `static QueryParam[]` | `groupBy(String column, String intervalSize, int maxInterval)` Returns the "group by" query parameters for given column, interval size and max interval.
    `static QueryParam` | `history()`
    `static QueryParam` | `in(String column, List<?> values)` Returns the "in" query parameter for given column and set of values.
    `static QueryParam` | `in(String column, Object... values)`
    `static QueryParam` | `isNotNull(String column)` Returns "is not null" query parameter for given column.
    `static QueryParam` | `isNull(String column)` Returns "is null" query parameter for given column.
    `static QueryParam` | `likeTo(String column, boolean caseSensitive, Comparable<?> value)` Returns the "like to" query parameter for given column, case sensitivity and set of values.
    `static List<QueryParam>` | `list(QueryParam... params)`
    `static QueryParam` | `lowerOrEqualTo(String column, Comparable<?> value)` Returns the "loqer or equal to" query parameter for given column and set of values.
    `static QueryParam` | `lowerThan(String column, Comparable<?> value)` Returns the "lower than" query parameter for given column and set of values.
    `static QueryParam` | `max(String column)` Returns the "max" query parameter for given column.
    `static QueryParam` | `min(String column)` Returns the "min" query parameter for given column.
    `static QueryParam` | `notEqualsTo(String column, Comparable<?>... values)` Returns the "not equals to" query parameter for given column and set of values
    `static QueryParam` | `notIn(String column, List<?> values)` Returns the "not in" query parameter for given column and set of values.
    `static QueryParam` | `notIn(String column, Object... values)`
    `void` | `setColumn(String column)` Sets the column.
    `void` | `setOperator(String operator)` Sets the operator.
    `void` | `setValue(List<?> value)` Sets the value.
    `static QueryParam` | `sum(String column)` Returns the "sum" query parameter for given column.
    `static QueryParam` | `type(String column, Comparable<?> type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MILLISECOND

          public static final String MILLISECOND

      See Also:
        Constant Field Values

    - #### HUNDRETH

          public static final String HUNDRETH

      See Also:
        Constant Field Values

    - #### TENTH

          public static final String TENTH

      See Also:
        Constant Field Values

    - #### SECOND

          public static final String SECOND

      See Also:
        Constant Field Values

    - #### MINUTE

          public static final String MINUTE

      See Also:
        Constant Field Values

    - #### HOUR

          public static final String HOUR

      See Also:
        Constant Field Values

    - #### DAY

          public static final String DAY

      See Also:
        Constant Field Values

    - #### DAY_OF_WEEK

          public static final String DAY_OF_WEEK

      See Also:
        Constant Field Values

    - #### WEEK

          public static final String WEEK

      See Also:
        Constant Field Values

    - #### MONTH

          public static final String MONTH

      See Also:
        Constant Field Values

    - #### QUARTER

          public static final String QUARTER

      See Also:
        Constant Field Values

    - #### YEAR

          public static final String YEAR

      See Also:
        Constant Field Values

    - #### DECADE

          public static final String DECADE

      See Also:
        Constant Field Values

    - #### CENTURY

          public static final String CENTURY

      See Also:
        Constant Field Values

    - #### MILLENIUM

          public static final String MILLENIUM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueryParam

          public QueryParam(String column,
                            String operator,
                            List<?> value)

  - ### Method Detail

    - #### isNull

          public static QueryParam isNull(String column)

      Returns "is null" query parameter for given column.
      Parameters:
        `column` -
      Returns:
        @`QueryParam` query parameters

    - #### isNotNull

          public static QueryParam isNotNull(String column)

      Returns "is not null" query parameter for given column.
      Parameters:
        `column` -
      Returns:
        @`QueryParam` query parameter

    - #### equalsTo

          public static QueryParam equalsTo(String column,
                                            Comparable<?>... values)

      Returns "equal" query parameter for given column and set of values.
      Parameters:
        `column` -
        `values` -
      Returns:
        @`QueryParam` query parameter

    - #### notEqualsTo

          public static QueryParam notEqualsTo(String column,
                                               Comparable<?>... values)

      Returns the "not equals to" query parameter for given column and set of values
      Parameters:
        `column` -
        `values` -
      Returns:
        @`QueryParam` query parameter

    - #### likeTo

          public static QueryParam likeTo(String column,
                                          boolean caseSensitive,
                                          Comparable<?> value)

      Returns the "like to" query parameter for given column, case sensitivity and set of values.
      Parameters:
        `column` -
        `caseSensitive` -
        `value` -
      Returns:
        @`QueryParam` query param

    - #### greaterThan

          public static QueryParam greaterThan(String column,
                                               Comparable<?> value)

      Returns the "greater than" query parameter for given column and set of values.
      Parameters:
        `column` -
        `value` -
      Returns:
        @`QueryParam` query param

    - #### greaterOrEqualTo

          public static QueryParam greaterOrEqualTo(String column,
                                                    Comparable<?> value)

      Returns the "greater than or equal" query parameter for given column and set of values.
      Parameters:
        `column` -
        `value` -
      Returns:
        @`QueryParam` query param

    - #### lowerThan

          public static QueryParam lowerThan(String column,
                                             Comparable<?> value)

      Returns the "lower than" query parameter for given column and set of values.
      Parameters:
        `column` -
        `value` -
      Returns:
        @`QueryParam` query param

    - #### lowerOrEqualTo

          public static QueryParam lowerOrEqualTo(String column,
                                                  Comparable<?> value)

      Returns the "loqer or equal to" query parameter for given column and set of values.
      Parameters:
        `column` -
        `value` -
      Returns:
        @`QueryParam` query param

    - #### between

          public static QueryParam between(String column,
                                           Comparable<?> start,
                                           Comparable<?> end)

      Returns the "between" query parameter for given column, start and end.
      Parameters:
        `column` -
        `start` -
        `end` -
      Returns:
        @`QueryParam` query param

    - #### in

          public static QueryParam in(String column,
                                      List<?> values)

      Returns the "in" query parameter for given column and set of values.
      Parameters:
        `column` -
        `values` -
      Returns:
        @`QueryParam` query param

    - #### in

          public static QueryParam in(String column,
                                      Object... values)

    - #### notIn

          public static QueryParam notIn(String column,
                                         List<?> values)

      Returns the "not in" query parameter for given column and set of values.
      Parameters:
        `column` -
        `values` -
      Returns:
        @`QueryParam` query param

    - #### notIn

          public static QueryParam notIn(String column,
                                         Object... values)

    - #### count

          public static QueryParam count(String column)

      Returns the "count" query parameter for given column.
      Parameters:
        `column` -
      Returns:
        @`QueryParam` query param

    - #### distinct

          public static QueryParam distinct(String column)

      Returns the "distinct" query parameter for given column.
      Parameters:
        `column` -
      Returns:
        @`QueryParam` query param

    - #### average

          public static QueryParam average(String column)

      Returns the "average" query parameter for given column.
      Parameters:
        `column` -
      Returns:
        @`QueryParam` query param

    - #### sum

          public static QueryParam sum(String column)

      Returns the "sum" query parameter for given column.
      Parameters:
        `column` -
      Returns:
        @`QueryParam` query param

    - #### min

          public static QueryParam min(String column)

      Returns the "min" query parameter for given column.
      Parameters:
        `column` -
      Returns:
        @`QueryParam` query param

    - #### max

          public static QueryParam max(String column)

      Returns the "max" query parameter for given column.
      Parameters:
        `column` -
      Returns:
        @`QueryParam` query param

    - #### groupBy

          public static QueryParam[] groupBy(String column)

      Returns the "group by" query parameters for given column.
      Parameters:
        `column` -
      Returns:
        @`QueryParam` query params

    - #### groupBy

          public static QueryParam[] groupBy(String column,
                                             String intervalSize,
                                             int maxInterval)

      Returns the "group by" query parameters for given column, interval size and max interval.
      Parameters:
        `column` -
        `intervalSize` -
        `maxInterval` -
      Returns:
        @`QueryParam` query params

    - #### type

          public static QueryParam type(String column,
                                        Comparable<?> type)

    - #### history

          public static QueryParam history()

    - #### exclude

          public static QueryParam exclude(String collection)

    - #### all

          public static QueryParam all(List<?> values)

    - #### any

          public static QueryParam any(List<?> values)

    - #### getColumn

          public String getColumn()

      Returns the column.
      Returns:
        column

    - #### setColumn

          public void setColumn(String column)

      Sets the column.
      Parameters:
        `column` -

    - #### getOperator

          public String getOperator()

      Returns the operator.
      Returns:
        operator

    - #### setOperator

          public void setOperator(String operator)

      Sets the operator.
      Parameters:
        `operator` -

    - #### getValue

          public List<?> getValue()

      Returns list of values.
      Returns:
        values

    - #### setValue

          public void setValue(List<?> value)

      Sets the value.
      Parameters:
        `value` -

    - #### getObjectValue

          public Object getObjectValue()

    - #### list

          public static List<QueryParam> list(QueryParam... params)

    - #### getBuilder

          public static QueryParam.Builder getBuilder()

      Returns the builder.
      Returns:
        @`QueryParam.Builder` builder

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.